%define pear_name XML_CSSML

Name: pear-XML_CSSML
Version: 1.1.1
Release: alt2

Summary: The PEAR::XML_CSSML package provides methods for creating cascading style sheets (CSS) from an XML standard called CSSML

License: PHP License
Group: Development/Other
Url: http://pear.php.net/package/XML_CSSML

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://pear.php.net/get/XML_CSSML-%version.tar.bz2

BuildArchitectures: noarch

Requires: pear-core
BuildRequires: pear-core rpm-build-pear

Requires: php < 5.0.0

%description
The best way to describe this library is to classify it as a template
system for generating cascading style sheets (CSS). It is ideal for storing
all of the CSS in a single location and allowing it to be parsed as needed
at runtime (or from cache) using both general and browser filters specified
in the attribute for the style tags. It can be driven with either the
libxslt pear extenstion (part of xmldom) or the xslt extension (part of the
sablotron libraries).
My hope is that such a system becomes the standard for the organization of
stylesheet information in the future.

%prep
%setup -c

%build
%pear_build

%install
%pear_install_std

%post
%register_pear_module

%preun
%unregister_pear_module

%files
%doc LICENSE CHANGELOG
%pear_dir/XML
%pear_dir/XML_CSSML
%pear_xmldir/%pear_name.xml

%changelog
* Thu Jan 10 2008 Vitaly Lipatov <lav@altlinux.ru> 1.1.1-alt2
- update according to rpm-build-pear 0.3

* Sat Jan 05 2008 Vitaly Lipatov <lav@altlinux.ru> 1.1.1-alt1
- initial build for ALT Linux Sisyphus

